> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch information about providers

> Fetch information about the providers associated to your partner



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/provider-information/v1
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/provider-information/v1:
    get:
      tags:
        - Provider information
      summary: Fetch information about providers
      description: Fetch information about the providers associated to your partner
      operationId: getProviderInformation
      responses:
        '201':
          description: The associated providers
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProviderResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Provider not found
      security:
        - oauth:
            - openid
components:
  schemas:
    ProviderResponse:
      type: object
      required:
        - countryCode
        - code
        - providerType
        - name
      properties:
        countryCode:
          type: string
          minLength: 2
          maxLength: 2
        code:
          type: string
          minLength: 3
          maxLength: 3
        providerType:
          $ref: '#/components/schemas/ProviderType'
        name:
          type: string
    ProviderType:
      type: string
      enum:
        - AssetProvider
        - MobilityProvider
        - ChargingProvider
        - ChargingStationProvider
        - OperationsProvider
        - GasStationProvider
        - TaxiStandProvider
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````